VULKAN_HPP_NAMESPACE::ExternalSemaphoreProperties Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::ExternalSemaphoreProperties:
[legend]

## Public Member Functions

| operator VkExternalSemaphoreProperties const & () const
| operator VkExternalSemaphoreProperties & ()
bool | operator== (ExternalSemaphoreProperties const &rhs) const
bool | operator!= (ExternalSemaphoreProperties const &rhs) const

## Data Fields

void * | pNext = nullptr
ExternalSemaphoreHandleTypeFlags | exportFromImportedHandleTypes
ExternalSemaphoreHandleTypeFlags | compatibleHandleTypes
ExternalSemaphoreFeatureFlags | externalSemaphoreFeatures

## Private Attributes

StructureType | sType = StructureType::eExternalSemaphoreProperties

## Detailed Description

Definition at line 32739 of file vulkan.hpp.

## Member Function Documentation

## operator VkExternalSemaphoreProperties &()

VULKAN_HPP_NAMESPACE::ExternalSemaphoreProperties::operator VkExternalSemaphoreProperties & | ( |  | ) |

inline

Definition at line 32746 of file vulkan.hpp.

{
return *reinterpret_cast<VkExternalSemaphoreProperties*>(this);
}

## operator VkExternalSemaphoreProperties const &()

VULKAN_HPP_NAMESPACE::ExternalSemaphoreProperties::operator VkExternalSemaphoreProperties const & | ( |  | ) | const

inline

Definition at line 32741 of file vulkan.hpp.

{
return *reinterpret_cast<const VkExternalSemaphoreProperties*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ExternalSemaphoreProperties::operator!= | ( | ExternalSemaphoreProperties const & | rhs | ) | const

inline

Definition at line 32760 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::ExternalSemaphoreProperties::operator== | ( | ExternalSemaphoreProperties const & | rhs | ) | const

inline

Definition at line 32751 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( exportFromImportedHandleTypes == rhs.exportFromImportedHandleTypes )
&& ( compatibleHandleTypes == rhs.compatibleHandleTypes )
&& ( externalSemaphoreFeatures == rhs.externalSemaphoreFeatures );
}

References compatibleHandleTypes, exportFromImportedHandleTypes, externalSemaphoreFeatures, pNext, and sType.

Referenced by operator!=().

## Field Documentation

## compatibleHandleTypes

ExternalSemaphoreHandleTypeFlags VULKAN_HPP_NAMESPACE::ExternalSemaphoreProperties::compatibleHandleTypes

Definition at line 32771 of file vulkan.hpp.

Referenced by operator==().

## exportFromImportedHandleTypes

ExternalSemaphoreHandleTypeFlags VULKAN_HPP_NAMESPACE::ExternalSemaphoreProperties::exportFromImportedHandleTypes

Definition at line 32770 of file vulkan.hpp.

Referenced by operator==().

## externalSemaphoreFeatures

ExternalSemaphoreFeatureFlags VULKAN_HPP_NAMESPACE::ExternalSemaphoreProperties::externalSemaphoreFeatures

Definition at line 32772 of file vulkan.hpp.

Referenced by operator==().

## pNext

void* VULKAN_HPP_NAMESPACE::ExternalSemaphoreProperties::pNext = nullptr

Definition at line 32769 of file vulkan.hpp.

Referenced by operator==().

## sType

StructureType VULKAN_HPP_NAMESPACE::ExternalSemaphoreProperties::sType = StructureType::eExternalSemaphoreProperties

private

Definition at line 32766 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::ExternalSemaphoreProperties::externalSemaphoreFeatures
ExternalSemaphoreFeatureFlags externalSemaphoreFeatures
Definition: vulkan.hpp:32772
VULKAN_HPP_NAMESPACE::ExternalSemaphoreProperties::exportFromImportedHandleTypes
ExternalSemaphoreHandleTypeFlags exportFromImportedHandleTypes
Definition: vulkan.hpp:32770
VULKAN_HPP_NAMESPACE::ExternalSemaphoreProperties::pNext
void * pNext
Definition: vulkan.hpp:32769
VkExternalSemaphoreProperties
Definition: vulkan_core.h:4461
VULKAN_HPP_NAMESPACE::ExternalSemaphoreProperties::compatibleHandleTypes
ExternalSemaphoreHandleTypeFlags compatibleHandleTypes
Definition: vulkan.hpp:32771
VULKAN_HPP_NAMESPACE::ExternalSemaphoreProperties::operator==
bool operator==(ExternalSemaphoreProperties const &rhs) const
Definition: vulkan.hpp:32751
VULKAN_HPP_NAMESPACE::ExternalSemaphoreProperties::sType
StructureType sType
Definition: vulkan.hpp:32766